## Enumerations

Enumerations — Common enumerations used by libglabels

## Synopsis

    #include <libglabels/enums.h>

    enum                lglUnitsType;

## Description

This section defines enumerations used to interact with libglabels.

## Details

### enum lglUnitsType

    typedef enum {
    	LGL_UNITS_POINT, /* encoded as "pt" */
    	LGL_UNITS_INCH,  /* encoded as "in" */
    	LGL_UNITS_MM,    /* encoded as "mm" */
    	LGL_UNITS_CM,    /* encoded as "cm" */
    	LGL_UNITS_PICA,  /* encoded as "pc" */

    	LGL_UNITS_FIRST = LGL_UNITS_POINT,
    	LGL_UNITS_LAST  = LGL_UNITS_PICA,
    } lglUnitsType;

This enumeration defines a set of units of distance supported by the libglabels XML distance attributes.

`LGL_UNITS_POINT` | Points. Encoded as "pt" in XML distance attributes.
`LGL_UNITS_INCH` | Inches. Encoded as "in" in XML distance attributes.
`LGL_UNITS_MM` | Millmeters. Encoded as "mm" in XML distance attributes.
`LGL_UNITS_CM` | Centimeters. Encoded as "cm" in XML distance attributes.
`LGL_UNITS_PICA` | Picas. Encoded as "pc" in XML distance attributes.
`LGL_UNITS_FIRST` | First enumeration. Used for generic iteration through supported units..
`LGL_UNITS_LAST` | Last enumeration. Used for generic iteration through supported units.